LibreOffice LibreOffice 26.2 SDK API Reference

Variables
com::sun::star::style::CaseMap Constant Group Referencepublished

These constants are used to specify a case-related mapping for formatting and displaying characters. More...

## Variables
const short | NONE = 0
| The case of the characters is unchanged. More...
const short | UPPERCASE = 1
| All characters are put in upper case. More...
const short | LOWERCASE = 2
| All characters are put in lower case. More...
const short | TITLE = 3
| The first character of each word is put in upper case. More...
const short | SMALLCAPS = 4
| All characters are put in upper case, but with a smaller font height. More...

## Detailed Description

These constants are used to specify a case-related mapping for formatting and displaying characters.

## Variable Documentation

## ◆ LOWERCASE

const short LOWERCASE = 2

All characters are put in lower case.

## ◆ NONE

const short NONE = 0

The case of the characters is unchanged.

## ◆ SMALLCAPS

const short SMALLCAPS = 4

All characters are put in upper case, but with a smaller font height.

## ◆ TITLE

const short TITLE = 3

The first character of each word is put in upper case.

## ◆ UPPERCASE

const short UPPERCASE = 1

All characters are put in upper case.